public class Test04 {

  public static void main(String[] args) {
    try {
      long t1 = System.currentTimeMillis();
      BaseXClient sessio = 
    		  new BaseXClient("localhost", 1984, "admin", "admin");
      sessio.execute("OPEN mondial");
      sessio.execute("CS //mondial/country[name='Spain']");
      String query = "XQUERY province[name='Catalonia']/city/name";
      String result = sessio.execute(query);
      long t2 = System.currentTimeMillis();
      System.out.println(result);
      System.out.println();
      System.out.println("Executat en " + (t2-t1) + "ms");
      System.exit(0);
    }
    catch (Exception e) {
      System.err.println("ERROR: " + e.getMessage());
      System.exit(-1);
    }
  }
}
